%define upstream_name	 Gtk3-Notify
%define	upstream_version 0.03

%define perl_glib_require 1.240

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module for libnotify
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(Glib::Object::Introspection) >= 0.002
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:   typelib(Notify) = 0.7
%description
This module provides the Perl bindings for libnotify.

Libnotify is a library that sends desktop notifications to a notification
daemon, as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of information
without getting in the user's way.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

%check
make test || :

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Gtk3/Notify*
%_mandir/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-3.mga10
+ Revision: 2209317
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.30.0-2.mga9
+ Revision: 1819776
- Mageia 9 Mass Rebuild

* Mon May 04 2020 tv <tv> 0.30.0-1.mga8
+ Revision: 1579687
- Add more tests
- Add repository details (links, ...) for CPAN
- Bailout early if Notify typelib isn't available
- Skip tests that need a DISPLAY when there's not (CPAN RT#127946)

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-3.mga8
+ Revision: 1504604
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-2.mga7
+ Revision: 1283954
- Mageia 7 Mass Rebuild

* Sun Oct 29 2017 tv <tv> 0.20.0-1.mga7
+ Revision: 1174670
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-6.mga6
+ Revision: 1028155
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 949260
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 788902
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 750401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 684923
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Nov 23 2013 tv <tv> 0.10.0-1.mga4
+ Revision: 552403
- imported package perl-Gtk3-Notify

